Locked Templates are getting removed by api
Category: Templates

Target version:
Pull request: https://github.com/theforeman/foreman/p
Description

Description of problem:
Locked template are getting deleted through API request

How reproducible:
Always

Steps to Reproduce:

1. Sat webUI>Monitor>Report Templates>Either pick any of the default template or clone and existing template(later is
preferred)>Lock it

2. From the console, fire the below DELETE request-

$ curl -u admin:<pwd> -k -X DELETE https:/&lt;foreman-fqdn&gt;/api/report_templates/&lt;teplate-id> -H 'content-type:
application/json’

3. APl response returns the below error- {"errors":{"base":["This template is locked and may not be removed."]}}

Actual results:
API returns the error that suggests- the template is locked and may not be removed. However, it actually removes the template.

Expected results:
There is no option to remove the locked template from the webUl so, API should also not delete the locked template OR it should
prompt to unlock the template before deleting. It will avoid the accidental deletion of locked template through the API.

Associated revisions

Revision bad5f878 - 04/07/2020 02:50 PM - Dominik Matoulek

Fixes #26210 - Don't remove locked template

History

#1 - 03/04/2019 07:53 AM - Ondfej Prazak

- Subject changed from Locked Report Templates are getting removed.
to Locked Report Templates are getting removed.

- Category changed from Statistics to Templates

- Priority changed from High to Normal

#2 - 03/05/2020 09:48 AM - Tomer Brisker
- Subject changed from Locked Report Templates are getting removed. to Locked Templates are getting removed by api

- Difficulty set to trivial

this affects all template types. The reason is that the callback checking if the template is locked only adds an error but doesn't throw(:abort) to stop
the destruction process.

#3 - 04/07/2020 10:16 AM - Dominik Matoulek
https://&lt;foreman-fqdn&gt;/api/report_templates/&lt;teplate-id

- Assignee set to Dominik Matoulek

#4 - 04/07/2020 11:06 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7572 added

#5 - 04/07/2020 02:50 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#6 - 04/07/2020 03:01 PM - Dominik Matoulek
- Status changed from Ready For Testing to Closed

Applied in changeset bad5f878b6tb275dbc7267930bcd0cb589d9aa66.
